/******************************************************************

      Copyright 1993  Northeast Data Corp.  All Rights Reserved

*******************************************************************/

/*
 * PIDTST.H
 *
 * Contains definitions specific to the PID test
 * application, such as control identifiers, menu item
 * identifiers, and internal function prototypes.
 *
 */

//Window identifiers
#define ID_PID             1     //The PID controller window

//Menu identifiers.
#define IDM_TEST           100
#define IDM_EXIT           101

//Test dialog box controls   
#define IDC_REVERSEOUTPUT           205
#define IDC_OUTPUT                  206
#define IDC_MEASURED                207
#define IDC_SETPOINT                208
#define IDC_PIDCONTROL              209
#define IDC_AUTOMATIC               210
#define IDC_REVERSE                 212
#define IDC_GAIN                    213
#define IDC_RESET                   214
#define IDC_DRESET                  215
#define IDC_PREACT                  216
#define IDC_RANGEMIN                217
#define IDC_RANGEMAX                218
#define IDC_RESETCONTROLLER         219
#define IDC_RUN                     220
#define IDC_STOP                    221
#define IDC_POLLPERIOD              222

//Function prototypes.
long	 FAR PASCAL pidtstWndProc(HWND, UINT, WPARAM, LPARAM);
BOOL   FAR PASCAL PIDDlgProc(HWND,UINT,WPARAM,LPARAM);
